Skip to main content
GET
/
apps
/
{appId}
/
moderation
/
rules
/
{ruleId}
Get Rule
curl --request GET \
  --url https://apimgmt.cometchat.io/apps/{appId}/moderation/rules/{ruleId} \
  --header 'key: <key>' \
  --header 'secret: <secret>'
{
  "data": {
    "id": "profanity-list",
    "name": "Profane Words",
    "category": "word",
    "isCSV": false,
    "searchTerms": [
      "fuck",
      "damn",
      "shit",
      "cunt",
      "nigga",
      "nigger",
      "wanker",
      "cunt",
      "fag",
      "shithead",
      "jizz",
      "hellbitch",
      "retard",
      "cocksucker",
      "cock",
      "kill",
      "kike",
      "twat",
      "bastard",
      "death",
      "asshole",
      "wop",
      "scumbag",
      "penis",
      "murder",
      "dick",
      "gook",
      "vagina",
      "rape",
      "bastard",
      "spic",
      "spunk",
      "beat"
    ],
    "createdAt": 1718354412,
    "updatedAt": 1718354412,
    "revisionId": "253157108b5294c4_profanity-list_1",
    "active": true,
    "default": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-013b37f0.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

key
string
required

Authorization Key

secret
string
required

Authorization Secret

Path Parameters

appId
string
required

AppID in which the extension has to be enabled/disabled

ruleId
string
required

Rule ID

Response

200 - application/json

Get Rule

data
object